
package com.tmerclub.cloud.distribution.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author cl
 * @date 2021-08-16 15:35:23
 */
public class DistributionUserInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "分销员id")
    private Long distributionUserId;

    @Schema(description = "分销员昵称")
    private String nickName;

    @Schema(description = "分销员手机号")
    private String userMobile;

    @Schema(description = "头像")
    private String pic;

    @Schema(description = "分销员状态 (-1永久封禁 0 待审核 1 正常 2 暂时封禁 3审核失败)")
    private Integer state;

    @Schema(description = "推广状态（0下线 1上线）")
    private Integer recruitState;

    @Schema(description = "贡献收益")
    private Long money;

    @Schema(description = "加入时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date bindTime;

    @Schema(description = "成交订单数")
    private Integer orderNumber;

    public Integer getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(Integer orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Date getBindTime() {
        return bindTime;
    }

    public void setBindTime(Date bindTime) {
        this.bindTime = bindTime;
    }

    public Long getMoney() {
        return money;
    }

    public void setMoney(Long money) {
        this.money = money;
    }

    public Long getDistributionUserId() {
        return distributionUserId;
    }

    public void setDistributionUserId(Long distributionUserId) {
        this.distributionUserId = distributionUserId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getUserMobile() {
        return userMobile;
    }

    public void setUserMobile(String userMobile) {
        this.userMobile = userMobile;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Integer getRecruitState() {
        return recruitState;
    }

    public void setRecruitState(Integer recruitState) {
        this.recruitState = recruitState;
    }

    @Override
    public String toString() {
        return "DistributionUserInfoVO{" +
                "distributionUserId=" + distributionUserId +
                ", nickName='" + nickName + '\'' +
                ", userMobile='" + userMobile + '\'' +
                ", pic='" + pic + '\'' +
                ", state=" + state +
                ", recruitState=" + recruitState +
                ", money=" + money +
                ", bindTime=" + bindTime +
                ", orderNumber=" + orderNumber +
                '}';
    }
}
